<div class="container border border-info mt-3 p-3 courses-container">
  <h3 class="mt-3 mb-3">Courses</h3>
  <app-search
    placeholderText="Search..."
    (searchEvent)="handleSearch($event)"
  ></app-search>
  <div>
    <app-button
      text="Add New Course"
      class="mt-3 mb-3 d-flex "
      [routerLink]="['add']"
      [borderStyle]="borderStyle"
    >
    </app-button>
  </div>
  <app-courses-list *ngIf="courses$ | async as courses"
                    [courses]="courses"
                    [isEditable]="true"
                    (deleteCourse)="deleteCourse($event)"
  ></app-courses-list>

  <div class="spinner-container" *ngIf="isLoading$ | async">
    <div class="spinner-border" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  </div>

  <!-- For demo purposes -->
  <!--  <app-info-->
  <!--    title="Your list is empty"-->
  <!--    text='Please use "Add new course" button to add your first course'>-->
  <!--    <app-button text="Add new course"></app-button>-->
  <!--  </app-info>-->

  <!-- Button trigger modal -->
  <!--  <button-->
  <!--    type="button"-->
  <!--    class="btn btn-primary"-->
  <!--    data-bs-toggle="modal"-->
  <!--    data-bs-target="#exampleModal"-->
  <!--    (click)="openModal()"-->
  <!--  >-->
  <!--    Launch demo modal-->
  <!--  </button>-->

  <app-modal title="Hello World!" message="Some really interesting message">
    <div>
      <app-button text="OK" (click)="closeModal()"></app-button>
      <app-button text="Cancel" (click)="closeModal()"></app-button>
    </div>
  </app-modal>
</div>




